program literalnonzero
  real :: a, b
  a = 2
  b = f(a)

contains
  ! unit m s :: f
  real function f(x)
    != unit m s :: x
    real :: x
    x = 1
    f = x
  end function f
end program literalnonzero
